#ifndef __MENU__
#define __MENU__

#include <allegro.h>
#include <alfont.h>
#include "gkernel.h"

#define IMAGEM_APRESENTACAO "res/allegro.bmp"
#define IMAGEM_TITULO       "res/titulo.bmp"
#define MENU_FONT_NAME      "res/battlelines.ttf"
#define MENU_FONT_SIZE      40

#define NUM_OPCOES          3
#define OPCAO_1 "Play"
#define OPCAO_2 "Options"
#define OPCAO_3 "Exit"

class CMenu
{
public:
    CMenu();
    ~CMenu();
    void Apresentacao();
	void Go();

private:
    BITMAP* titulo;
    ALFONT_FONT *fontMenu;
    int foco;
    int colorFocusOn;
    int colorFocusOff;
    CGKernel* gkernel;

};

#endif // __MENU__
